Subject: [PATCH 0/1] stash apply: be prepared to run in a worktree's subdirectory

From: "Johannes Schindelin via GitGitGadget" <[email-masked]>
Date: Wed, 25 Sep 2019 05:45:23 -0700 (PDT)

I saw this issue a couple times in my setup, and always wondered why nobody
else seemed to be hit by this. When I finally found/made some time to
investigate, I found out that it really requires a specific setup: I have
many worktrees connected to my main git.git clone, often run inside t/ and I
do stash quite often (now that git stash's performance is a joy on Windows).

Johannes Schindelin (1):
  stash apply: report status correctly even in a worktree's subdirectory

 builtin/stash.c              |  2 ++
 t/t3908-stash-in-worktree.sh | 27 +++++++++++++++++++++++++++
 2 files changed, 29 insertions(+)
 create mode 100755 t/t3908-stash-in-worktree.sh

base-commit: 4c86140027f4a0d2caaa3ab4bd8bfc5ce3c11c8a
Published-As: https://github.com/gitgitgadget/git/releases/tag/pr-354%2Fdscho%2Fapply-stash-in-subdirectory-v1
Fetch-It-Via: git fetch https://github.com/gitgitgadget/git pr-354/dscho/apply-stash-in-subdirectory-v1
Pull-Request: https://github.com/gitgitgadget/git/pull/354
-- 
gitgitgadget